classification
Title: Use 'seealso' to add examples to LibRef
Type: Stage:
Components: Documentation Versions: Python 2.5
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: fdrake Nosy List: akuchling, fdrake, loewis
Priority: normal Keywords: patch

Created on 2005-12-08 15:16 by akuchling, last changed 2007-09-04 12:38 by loewis. This issue is now closed.

Files
File name Uploaded Description Edit
seealso.patch akuchling, 2005-12-08 15:16 Documentation build patch
Messages (3)
msg49185 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2005-12-08 15:16
Fredrik Lundh suggested a simple markup to let people
publish examples on their own sites and have the
examples get linked into the Library Reference.  I
wrote a simple parser for the markup and checked it in
as sandbox/seealso. 

The attached patch adds a Makefile target, 'examples',
that downloads feeds listed in a file and generates a
directory of *.tex files that can be included.  The
patch also modifies one file, libzlib.tex, to include
the generated examples; all of the modules would need
to be modified.

The patch currently assumes that you've checked out the
sandbox in the same directory as your Python tree.  If
accepted, the seealso scripts would move into Doc/tools/.

The Makefile patch makes lib/ always trigger the
examples target.  Alternatively it could be left as a
separate target; as long as the release process
includes "make examples", it would be fine.  (I can't
figure out the shell-script hackery to only update the
examples  every 24 hours.  The Python scripts could be
modified to do this.)

Running "make examples" requires a file called
Doc/example-feeds.  Currently my copy contains a single
line: 'file:../../sandbox/seealso/seealso.xml'.


msg49186 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2005-12-09 19:22
Logged In: YES 
user_id=11375

LaTeX supports \InputIfFileExists{examples/zlib.tex}{}{}.

LaTeX2HTML chokes on \InputIfFileExists, however; some
hackery will be required.
msg55638 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2007-09-04 12:38
I'm closing this as out-of-date, now that the documentation format is
not based on TeX anymore. If you would like to port this to Sphinx, feel
free to reopen it (or submit any such feature as a new patch).
History
Date User Action Args
2007-09-04 12:38:10loewissetstatus: open -> closed
resolution: out of date
messages: + msg55638
nosy: + loewis
2005-12-08 15:16:11akuchlingcreate